Supported latest Java version and how to upgrade

book

Article ID: 38177

calendar_today

Updated On:

Products

CA Single Sign On Secure Proxy Server (SiteMinder) AXIOMATICS POLICY SERVER CA Single Sign On SOA Security Manager (SiteMinder) CA Single Sign-On

Issue/Introduction

JDK upgrade from lower version to higher supported versions for SPS and PS due to security vulnerabilities.

How do we upgrade JDK to the higher supported JDK version without re-installing the components again?

Environment

SiteMinder versions: 12.5, 12.51 and 12.52, 12.6, 12.7
Secure Proxy Server versions: 12.5, 12.51 and 12.52
JDK 1.6, JDK 1.7, JDK 1.8
 

Resolution

A.  For Upgrading the JDK in policy server, follow the below steps:
       1. Stop the policy server
       2. Change the environment variable NETE_JRE_ROOT to the new path where new  JDK version is installed, by replacing the old location.
       3. Change the environment variable NETE_JAVA_PATH to the new path where new  JDK version is installed, by replacing the old location.

       4. Start the policy server
B. For upgrading the JDK in secure proxy server, follow the below steps:
       1. Stop the secure proxy server
       2. Modify NETE_SPS_JAVA_HOME=<location of new JDK path>, by replacing the old location in the file SmSpsProxyEngine.properties 

       3. Start the secure proxy server